| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__MlhgTermEntry Struct Reference
Multi Line Hunt Group

ML Hunt Group Terminal Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Position
| Indicates the position of the terminal in the MLHG. More...
char * | MemberServiceId
| The DN of the MLHG terminal. More...
enum unsp__ServiceIdType | ServiceIdType
| The Service ID Type of the MLHG terminal. More...
struct unsp__MlhgTermOptions * | MlhgTermOptions
| MLHG Terminal Options. More...
struct unsp__MlhgTermStatus * | MlhgTermStatus
| MLHG Terminal Status. More...
xsd__boolean * | MlhgAttendant
| Indicates whether member is an attendant. More...
int * | QueuePriority
| Specifies the order in which this MLHG member shall search queues, assuming the terminal is a member of multiple MLHGs. More...

## Detailed Description

ML Hunt Group Terminal Entry.

## Member Data Documentation

## ◆ MemberServiceId

char* unsp__MlhgTermEntry::MemberServiceId

The DN of the MLHG terminal.

See also
  unsp__ServiceId

## ◆ MlhgAttendant

xsd__boolean* unsp__MlhgTermEntry::MlhgAttendant

Indicates whether member is an attendant.

default value[range]: false

## ◆ MlhgTermOptions

struct unsp__MlhgTermOptions* unsp__MlhgTermEntry::MlhgTermOptions

MLHG Terminal Options.

## ◆ MlhgTermStatus

struct unsp__MlhgTermStatus* unsp__MlhgTermEntry::MlhgTermStatus

MLHG Terminal Status.

## ◆ Position

int* unsp__MlhgTermEntry::Position

Indicates the position of the terminal in the MLHG.

default value[range]: NA

## ◆ QueuePriority

int* unsp__MlhgTermEntry::QueuePriority

Specifies the order in which this MLHG member shall search queues, assuming the terminal is a member of multiple MLHGs.

This value is stored on a per MLHG/per MLHG member basis, so a terminal has a separate value for each MLHG of which it is a member. Queues with lower number priorities are checked before higher number priority queues. Queues with the same priority may be checked in any order
default value[range]: NA [1..255]

## ◆ ServiceIdType

enum unsp__ServiceIdType unsp__MlhgTermEntry::ServiceIdType

The Service ID Type of the MLHG terminal.

default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h